Bug 299130 - Cover image are not displayed in search bow from data source when collection is not saved and tellico is configured to save pictures in a folder
Summary: Cover image are not displayed in search bow from data source when collection ...
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-30 22:12 UTC by Matuki
Modified: 2017-07-07 08:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.3.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matuki 2012-04-30 22:12:18 UTC
When doing a search in a new collection, pictures are not displayed if tellico is configured to store them in a folder instead of tellico's cache  (occurs only if pictures are not already in cache)

Displayed error :
tellico(7513) Tellico::ImageDirectory::writeImage: trying to write to empty path: "d7e8ef9e905f889d28fcf105db0e2161.jpeg"

Reproducible: Always

Steps to Reproduce:
1. Configure Tellico to store pictures in a folder side to data file
2. Create a new collection (don't save it)
3. Do a search
Pictures that are not in tellico's cache can't be displayed
Actual Results:  
Pictures are not displayed during a search on some conditions (see details)

Expected Results:  
Pictures should be displayed
Comment 1 Robby Stephenson 2012-05-04 21:50:35 UTC
Git commit a3dbe0f795d011a190f1a74f7048050c0b4b8aa6 by Robby Stephenson.
Committed on 04/05/2012 at 23:41.
Pushed by rstephenson into branch '2.3'.

Use a temporary directory when using a local image directory for new files

When using a local image directory, whose name depends on the Tellico
file name, use a temporary directory until the file is saved the first
time.
FIXED-IN: 2.3.6

M  +4    -0    ChangeLog
M  +10   -4    src/images/imagedirectory.cpp
M  +2    -0    src/images/imagedirectory.h

http://commits.kde.org/tellico/a3dbe0f795d011a190f1a74f7048050c0b4b8aa6
Comment 2 Robby Stephenson 2012-05-12 21:45:17 UTC
Git commit 4325ba5d0aa92d44d7149b2879c1e81804cd4fa1 by Robby Stephenson.
Committed on 12/05/2012 at 23:43.
Pushed by rstephenson into branch '2.3'.

Use a temporary directory for images if the file has not been saved

M  +7    -0    src/images/imagedirectory.cpp

http://commits.kde.org/tellico/4325ba5d0aa92d44d7149b2879c1e81804cd4fa1